<div *ngIf="treatmentNotes.isLibrary" class="col-xl-12 priviewheader-wrapper dblack">
  {{ treatmentNotes.templateName }}
</div>
<div *ngIf="treatmentNotes.isLibrary" class="col-xl-12 normal_16px_19px_font lightsgrey normalhelfont" style="padding: 0px 0px 16px 26px;">
  {{ treatmentNotes.specialityPreview }}
</div>
<mat-divider *ngIf="treatmentNotes.templateName" class="mb-3"></mat-divider>
<div class="col-xl-12 align-items-center mb-5 mt-1 prvieww-row disabledDiv" *ngFor="let itm of treatmentNotes.itemTypeModel">
  <!-- disabledDiv -->
  <!-- Preview Label-->

  <div class="col-xl-12 bold_21px_20px normalhelfont dblack previewlabel-wrapper">
    <div style="min-height: 20px;">
      {{ itm.itemLabel }}
      <span *ngIf="itm.isMandatory">*</span>
    </div>
    <!-- Date Time -->
    <div class="row" style="padding-top: 12px;">
      <div *ngIf="itm.itemTypeText === 'Date Time' && itm.dateTime" [ngClass]="
  itm.showMirrored === true ? 'col-xl-6 c-col-xl-6' : 'col-xl-6'">
        <div class="datetimepreview-wrapper common-border d-flex align-items-center">
          <img src="../../../assets/calendar 2.png" style="height: 16px;margin: 0 10px;" />
          <div class="normal_16px_19px_font normalhelfont lightsgrey">{{itm.dateTime.date | date: 'dd/MM/yyyy'}}</div>
        </div>
      </div>
      <div *ngIf="itm.itemTypeText === 'Date Time' && itm.dateTime" [ngClass]="
  itm.showMirrored === true ? 'col-xl-6 c-col-xl-6' : 'col-xl-6'">
        <div class="datetimepreview-wrapper common-border d-flex align-items-center">
          <img src="../../../assets/Clock.png" style="height: 16px;margin: 0 10px;" />
          <div class="normal_16px_19px_font normalhelfont lightsgrey">{{itm.dateTime.time | date: 'hh:mm a' }}</div>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="itm.itemTypeText !== 'Chart' && itm.showMirrored === true " class="col-xl-12 bold_21px_20px normalhelfont dblack previewlabel-wrapper">
    <div style="min-height: 20px;">
      {{ itm.itemLabelDuplicate }}
      <span *ngIf="itm.isMandatory">*</span>
    </div>
    <!-- Duplicate Date Time -->
    <div class="row" style="padding-top: 12px;">
      <div *ngIf="itm.itemTypeText === 'Date Time' && itm.showMirrored === true && itm.dateTimeDuplicate" [ngClass]="
  itm.showMirrored === true ? 'col-xl-6 c-col-xl-6' : 'col-xl-6'">
        <div class="datetimepreview-wrapper common-border d-flex align-items-center">
          <img src="../../../assets/calendar 2.png" style="height: 16px;margin: 0 10px;" />
          <div class="normal_16px_19px_font normalhelfont lightsgrey">
            {{ itm.dateTimeDuplicate.date | date: 'dd/MM/yyyy' }}
          </div>
        </div>
      </div>
      <div *ngIf="itm.itemTypeText === 'Date Time' && itm.showMirrored === true && itm.dateTimeDuplicate" [ngClass]="
  itm.showMirrored === true ? 'col-xl-6 c-col-xl-6' : 'col-xl-6'">
        <div class="datetimepreview-wrapper common-border d-flex align-items-center">
          <img src="../../../assets/Clock.png" style="height: 16px;margin: 0 10px;" />
          <div class="normal_16px_19px_font normalhelfont lightsgrey">
            {{itm.dateTimeDuplicate.time | date: 'H:mm'}}
          </div>
        </div>
      </div>
    </div>
  </div>



  <!-- Text -->
  <div *ngIf="itm.itemTypeText === 'Text'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6'
        : 'col-xl-12'
    " style="padding: 16px 25px 0px 15px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -16px;">
      <textarea matInput [value]="itm.text" rows="4" [disabled]="true"></textarea>
    </mat-form-field>
  </div>

  <!-- Duplicate Text -->
  <div *ngIf="itm.itemTypeText === 'Text' && itm.showMirrored === true" class="col-xl-6" style="padding: 16px 25px 0px 15px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -16px;">
      <textarea matInput [value]="itm.textDuplicate" rows="4" [disabled]="true"></textarea>
    </mat-form-field>
  </div>

  <!-- Number -->
  <div *ngIf="itm.itemTypeText === 'Number'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6'
        : 'col-xl-12'
    " style="padding: 16px 25px 0px 15px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -16px;">
      <input matInput [value]="itm.number.default" [disabled]="true" />
    </mat-form-field>
  </div>

  <!-- Duplicate Number -->
  <div *ngIf="itm.itemTypeText === 'Number' && itm.showMirrored === true" class="col-xl-6" style="padding: 16px 25px 0px 15px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -16px;">
      <input matInput [value]="itm.numberDuplicate.default" [disabled]="true" />
    </mat-form-field>
  </div>

  <!-- Dropdown -->
  <div *ngIf="itm.itemTypeText === 'Dropdown'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6'
        : 'col-xl-12'
    " style="    padding: 11px 0px 8px 16px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -23px;">
      <mat-select [(value)]="itm.selectedDropdown">
        <mat-option *ngFor="let d of itm.dropdowns" [value]="d.id">
          {{ d.value }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <!-- Duplicate Dropdown -->
  <div *ngIf="itm.itemTypeText === 'Dropdown' && itm.showMirrored === true" class="col-xl-6" style="padding: 11px 0px 8px 16px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -23px;">
      <mat-select [(value)]="itm.selectedDuplicateDropdown">
        <mat-option *ngFor="let d of itm.duplicateDropdowns" [value]="d.id">
          {{ d.value }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <!-- Radio Button -->
  <div *ngIf="itm.itemTypeText === 'Radio Buttons'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6'
        : 'col-xl-12'
    ">
    <mat-radio-group style="display: flex;
        flex-direction: column;">
      <mat-radio-button style=" padding-bottom: 10px;" *ngFor="let rb of itm.radioButtons" [checked]="rb.default" [value]="rb.id">
        {{ rb.value }}
      </mat-radio-button>
    </mat-radio-group>
  </div>

  <!-- Duplicate Radio Button -->
  <div *ngIf="itm.itemTypeText === 'Radio Buttons' && itm.showMirrored === true" class="col-xl-6 ">
    <mat-radio-group style="display: flex;
        flex-direction: column;">
      <mat-radio-button style=" padding-bottom: 10px;" *ngFor="let rb of itm.duplicateRadioButtons" [checked]="rb.default" [value]="rb.id">
        {{ rb.value }}
      </mat-radio-button>
    </mat-radio-group>
  </div>

  <!-- Check Boxes -->
  <div *ngIf="itm.itemTypeText === 'Check Boxes'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6 d-flex'
        : 'col-xl-12 d-flex'
    ">
    <div class="radio-group-vertical">
      <mat-checkbox style=" padding-bottom: 10px;" *ngFor="let cb of itm.checkBoxes" [checked]="cb.default" [value]="cb.id">
        <div [ngClass]="{'c-text-inner': itm.includeNotes,'c-text-inner-large': !itm.includeNotes
        }">{{ cb.value }}</div>
        <input *ngIf="itm.includeNotes" matInput class="textbox-style" />
      </mat-checkbox>
    </div>
  </div>

  <!-- Duplicate Check Boxes -->
  <div *ngIf="itm.itemTypeText === 'Check Boxes' && itm.showMirrored === true" class="col-xl-6 d-flex">
    <div class="radio-group-vertical">
      <mat-checkbox style=" padding-bottom: 10px;" *ngFor="let rbd of itm.checkBoxesDuplicate" [checked]="rbd.default" [value]="rbd.id">
        <div [ngClass]="{'c-text-inner': itm.includeNotes,'c-text-inner-large': !itm.includeNotes
      }"> {{ rbd.value }}</div>
        <input *ngIf="itm.includeNotes" matInput class="textbox-style" />
      </mat-checkbox>
    </div>
  </div>

  <!-- Range or Scale  -->
  <div *ngIf="itm.itemTypeText === 'Range or Scale'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6'
        : 'col-xl-12'
    " style="padding: 25px 0px 30px 0px;">
    <kendo-slider [title]="range" [min]="min" [max]="max" [largeStep]="step" [(ngModel)]="value"></kendo-slider>
  </div>

  <!-- Duplicate Range or Scale -->
  <div *ngIf="itm.itemTypeText === 'Range or Scale' && itm.showMirrored === true" class="col-xl-6" style="padding: 25px 0px 30px 0px;">
    <kendo-slider [title]="rangeDuplicate" [min]="minDuplicate" [max]="maxDuplicate" [largeStep]="step" [(ngModel)]="valueDuplicate"></kendo-slider>
  </div>

  <!-- Option List -->
  <div *ngIf="itm.itemTypeText === 'Option List'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6 d-grid'
        : 'col-xl-12 d-grid'
    " style="padding-top: 19px;">
    <div *ngFor="let ols of itm.optionListSubjects" class="c-flex-box">
      <div class="c-width">{{ ols.value }}</div>
      <span *ngIf="itm.optionListStyleId === 1" class="option-button-wrapper c-option-button-wrapper">
        <button mat-stroked-button color="accent" *ngFor="let olc of itm.optionListChoices">
          {{ olc.value }}
        </button>
      </span>
      <span *ngIf="itm.optionListStyleId === 2">
        <mat-checkbox *ngFor="let olc of itm.optionListChoices" class="option-checkbox" [value]="olc.id">
          {{ olc.value }}
        </mat-checkbox>
      </span>
      <span *ngIf="itm.optionListStyleId === 4">
        <mat-radio-button *ngFor="let olc of itm.optionListChoices" [value]="olc.id"
                          class="option-checkbox mr-3 radiocheckboxpreview mb-2">
          {{ olc.value }}
        </mat-radio-button>
      </span>
      <span class="ml-3" *ngIf="itm.optionListStyleId === 3">
        <mat-form-field [appearance]="apperance" style="width: 160px;">
          <mat-select>
            <mat-option *ngFor="let d of itm.optionListChoices" [value]="d.id">
              {{ d.value }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </span>
      <span *ngIf="itm.optionListStyleId === 5"> </span>
    </div>
  </div>

  <!-- Duplicate Option List -->
  <div *ngIf="itm.itemTypeText === 'Option List' && itm.showMirrored === true" class="col-xl-6 d-grid" style="padding-top: 19px;">
    <div *ngFor="let ols of itm.optionListSubjectsDuplicate" class="c-flex-box">
      <div class="c-width">{{ ols.value }}</div>
      <span *ngIf="itm.optionListStyleDuplicateId === 1" class="option-button-wrapper c-option-button-wrapper">
        <button mat-stroked-button color="accent" *ngFor="let olc of itm.optionListChoicesDuplicate">
          {{ olc.value }}
        </button>
      </span>
      <span *ngIf="itm.optionListStyleDuplicateId === 2">
        <mat-checkbox *ngFor="let olc of itm.optionListChoicesDuplicate" class="option-checkbox" [value]="olc.id">
          {{ olc.value }}
        </mat-checkbox>
      </span>
      <span *ngIf="itm.optionListStyleDuplicateId === 4">
        <mat-radio-button *ngFor="let olc of itm.optionListChoicesDuplicate"
                          class="option-checkbox radiocheckboxpreview mr-3 mb-2" [value]="olc.id">
          {{ olc.value }}
        </mat-radio-button>
      </span>
      <span class="ml-3" *ngIf="itm.optionListStyleDuplicateId === 3" style="width: 160px;">
        <mat-form-field [appearance]="apperance">
          <mat-select>
            <mat-option *ngFor="let d of itm.optionListChoicesDuplicate" [value]="d.id">
              {{ d.value }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </span>
      <span *ngIf="itm.optionListStyleDuplicateId === 5"> </span>
    </div>
  </div>

  <!-- Table  -->
  <div *ngIf="itm.itemTypeText === 'Table'" [ngClass]="
      itm.showMirrored === true ? 'col-xl-6 scroll' : 'col-xl-12 scroll'
    ">
    <table style="width: 100%;">
      <tr>
        <th></th>
        <th scope="col" *ngFor="let c of itm.table.columnHeader" class="table-row-wrapper tbldatatd">
          {{ c.value }}
        </th>
      </tr>
      <tr *ngFor="let r of itm.table.rowHeader">
        <td scope="row" class="table-row-wrapper tbldatatd">{{ r.value }}</td>
        <td *ngFor="let c of itm.table.columnHeader">
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper c-input-table">
            <input matInput />
          </mat-form-field>
        </td>
      </tr>
    </table>
  </div>

  <!-- Chart -->
  <div *ngIf="itm.itemTypeText === 'Chart'" class="col-xl-12" style="padding-top: 8px;">
    <img [src]="itm.chartImage.tempImage" class="mb-3" style="width: 100%;" />
  </div>

  <div *ngIf="itm.itemTypeText === 'Chart'" class="col-xl-12" style="padding: 0px 0px 0px 19px;">
    <span class="normal_12px_14px_font normalhelfont lightsgrey">{{ itm.helpText }}</span>
  </div>

  <!-- File Attachment -->
  <div *ngIf="itm.itemTypeText === 'File Attachment'" [ngClass]="
      itm.showMirrored === true ? 'col-xl-6 scroll' : 'col-xl-12 scroll'
    ">
    <div class="col-xl-12" style="padding: 18px 0px 0px 0px;">
      <div class="filepreview-wrapper">
        <img src="../../../assets/upload.png" alt="" />
      </div>
    </div>
    <div class="col-xl-12" style="padding: 25px 0px 0px 0px;">
      <mat-form-field [appearance]="apperance" class="full-width" style="margin-bottom: -16px;">
        <textarea matInput [value]="itm.fileDescription" rows="4" [disabled]="true"></textarea>
      </mat-form-field>
    </div>
  </div>

  <!-- End File Attachment -->
  <!-- Instruction -->
  <div *ngIf="itm.itemTypeText === 'Instruction'" class="col-xl-12" style="padding: 12px 16px 0px 14px;margin-bottom: -40px;">
    <kendo-editor class="droupdowndesign" [(ngModel)]="itm.instruction">
      <kendo-toolbar [overflow]="true">
        <kendo-toolbar-buttongroup>
          <kendo-toolbar-button kendoEditorBoldButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorItalicButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorUnderlineButton></kendo-toolbar-button>
        </kendo-toolbar-buttongroup>
        <kendo-toolbar-buttongroup>
          <kendo-toolbar-button kendoEditorAlignLeftButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorAlignCenterButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorAlignRightButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorAlignJustifyButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorInsertOrderedListButton></kendo-toolbar-button>
          <kendo-toolbar-button kendoEditorInsertUnorderedListButton></kendo-toolbar-button>
        </kendo-toolbar-buttongroup>
        <kendo-toolbar-dropdownlist kendoEditorFormat></kendo-toolbar-dropdownlist>
        <kendo-toolbar-dropdownlist kendoEditorFontSize></kendo-toolbar-dropdownlist>
        <kendo-toolbar-dropdownlist kendoEditorFontFamily></kendo-toolbar-dropdownlist>
        <kendo-toolbar-colorpicker kendoEditorForeColor></kendo-toolbar-colorpicker>
        <kendo-toolbar-colorpicker kendoEditorBackColor></kendo-toolbar-colorpicker>
      </kendo-toolbar>
    </kendo-editor>
  </div>
  <!-- End Instruction -->
  <!-- Chief Complaint -->
  <div *ngIf="itm.itemTypeText === 'Chief Complaint'" class="col-xl-12" style="margin-bottom: -63px;">
    <mat-form-field [appearance]="apperance" class="full-width" style="padding: 15px 0px 0px 0px;">
      <textarea matInput [value]="itm.chiefComplaint" rows="4" [disabled]="true"></textarea>
    </mat-form-field>
  </div>
  <!-- End Chief Complaint -->
  <!-- Vitals -->
  <div *ngIf="itm.itemTypeText === 'Vitals'" class="col-xl-12" style="margin-bottom: -54px;">
    <div class="bold" style="padding: 6px 0px 11px 0px;">{{ itm.vitals.vitalType }}</div>
    <div class="row">
      <div class="col-xl-3 col-md-2 col-sm-3 vitalpreview-wrapper" *ngFor="let m of unitOfMeasurement">
        <mat-form-field [appearance]="apperance" *ngIf="m.isChecked == true">
          <input matInput [placeholder]="m.name" />
        </mat-form-field>
      </div>
    </div>
  </div>
  <!-- End Vitals -->
  <!-- Spine -->
  <div *ngIf="itm.itemTypeText === 'Spine'" class="col-xl-12 d-flex justify-content-center" style="    padding: 0px 44px 0px 84px;">
    <div class="d-block align-items-center" style="width: 80px">
      <div class="bold">Left</div>
      <div *ngFor="let s of spine" class="d-flex spine-check align-items-center">
        <span>{{s.name}}</span>
        <mat-checkbox [value]="s.id" style="margin-left: 10px;" class="cc-mat-checkbox mr-3"></mat-checkbox>
      </div>
    </div>
    <div class="d-flex align-items-center" style="width: 350px">
      <img src="../../../assets/spine.jpg" alt="img" width="100%" height="1050px" />
    </div>
    <div class="d-block align-items-center" style="width: 80px">
      <div class="bold">Right</div>
      <div class="d-flex align-items-center" *ngFor="let s of spine">
        <mat-checkbox [value]="s.id" class="cc-mat-checkbox mr-3"></mat-checkbox>
        <span>{{s.name}}</span>
      </div>
    </div>
  </div>
  <div *ngIf="itm.itemTypeText === 'Spine'" class="col-xl-12 d-flex align-items-center">
    <mat-form-field [appearance]="apperance" class="full-width" style=" margin-bottom: -63px;">
      <textarea matInput [value]="itm.spineNotes" rows="4" [disabled]="true"></textarea>
    </mat-form-field>
  </div>
  <!-- End Spine -->
  <!-- Optical Measurements -->
  <div *ngIf="itm.itemTypeText === 'Optical Measurements'" class="col-xl-12" style="    margin-top: 25px;
    margin-bottom: -60px;
">
    <table class="o-measure-table">
      <tr>
        <td></td>
        <th>Sphere</th>
        <th>Cyl</th>
        <th>Axis</th>
        <th>Add</th>
        <th>Horizontal Prism</th>
        <th>Vertical Prism</th>
        <th>Visual Acuity</th>
      </tr>
      <tr>
        <th scope="row">OS</th>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
      </tr>
      <tr>
        <th scope="row">OD</th>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
        <td>
          <mat-form-field [appearance]="apperance" class="matinputtablewrapper mr-1"><input matInput /></mat-form-field>
        </td>
      </tr>
    </table>
    <mat-form-field [appearance]="apperance" class="full-width">
      <textarea matInput [value]="itm.OpticalNotes" rows="4" [disabled]="true"></textarea>
    </mat-form-field>
  </div>
  <!-- End Optical Measurements -->
  <!-- Heading -->
  <div *ngIf="itm.itemTypeText != 'Chart'" [ngClass]="
      itm.showMirrored === true
        ? 'col-xl-6'
        : 'col-xl-12'
    ">
    <span class="normal_12px_14px_font normalhelfont lightsgrey" style="padding: 9px 0px 0px 2px;">
      {{
      itm.helpText
      }}
    </span>
  </div>

  <!-- Duplicate Heading -->
  <div *ngIf="itm.showMirrored == true && itm.itemTypeText != 'Chart'" class="col-xl-6" style="padding-top: 9px; padding-left: 20px;">
    <span class="normal_12px_14px_font normalhelfont lightsgrey">{{ itm.helpTextDuplicate }}</span>
  </div>
  <mat-divider class="mb-3"></mat-divider>
</div>
